[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThreadList.Remove

Removes an item from the list.

## Declaration

Source position: classesh.inc line 369

`public procedure TThreadList.Remove(`
`Item: Pointer`
`);`

## Description

Remove attempts to lock the list and then removes Item from the list. After the item is removed, the list is again unlocked.

## See also

LockList |  | Locks the list for exclusive access.
Add |  | Adds an element to the list.
Clear |  | Removes all emements from the list.
UnlockList |  | Unlocks the list after it was locked.

Documentation generated on: Feb 26 2014